﻿using GalaSoft.MvvmLight;
using GalaSoft.MvvmLight.Command;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;
using TddForWpfApplication.Services;

namespace TddForWpfApplication.Models
{
    public class MainViewModel : ViewModelBase
    {
        private readonly IDataService _dataService;
        private readonly INavigationService _navigationService;

        public MainViewModel(IDataService dataService, INavigationService navigationService)
        {
            _dataService = dataService;
            _navigationService = navigationService;

            Items = dataService.GetDataList();
        }

        public IList<Data> Items { get; private set; }

        public Data SelectedItem { get; private set; }

        private ICommand _selectItemCommand;
        public ICommand SelectItemCommand
        {
            get { return _selectItemCommand ?? (_selectItemCommand = new RelayCommand<Data>(SelectItem)); }
        }

        private void SelectItem(Data selected)
        {
            SelectedItem = selected;
            RaisePropertyChanged(() => SelectedItem);
        }
    }
}
